summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/compression
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/compression')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/adapt.sh14
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/basic.sh36
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/compress-literals.sh10
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/format.sh16
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/golden.sh16
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh17
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/levels.sh62
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/levels.sh.stderr.exact69
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/long-distance-matcher.sh7
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh15
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh.stderr.exact11
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh21
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh.stdout.exact12
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/row-match-finder.sh7
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/setup7
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/stream-size.sh7
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh11
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stderr.glob5
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stdout.glob5
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/window-resize.sh9
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stderr.ignore0
-rw-r--r--3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stdout.glob3
22 files changed, 360 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/compression/adapt.sh b/3rdparty/zstd/tests/cli-tests/compression/adapt.sh
new file mode 100755
index 00000000000..30b9afaa03b
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/adapt.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Test --adapt
+zstd -f file --adapt -c | zstd -t
+
+datagen -g100M > file100M
+
+# Pick parameters to force fast adaptation, even on slow systems
+zstd --adapt -vvvv -19 --zstd=wlog=10 file100M -o /dev/null 2>&1 | grep -q "faster speed , lighter compression"
+
+# Adaption still happens with --no-progress
+zstd --no-progress --adapt -vvvv -19 --zstd=wlog=10 file100M -o /dev/null 2>&1 | grep -q "faster speed , lighter compression"
diff --git a/3rdparty/zstd/tests/cli-tests/compression/basic.sh b/3rdparty/zstd/tests/cli-tests/compression/basic.sh
new file mode 100755
index 00000000000..950c5a483c5
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/basic.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+# Uncomment the set -v line for debugging
+# set -v
+
+# Test compression flags and check that they work
+zstd file ; zstd -t file.zst
+zstd -f file ; zstd -t file.zst
+zstd -f -z file ; zstd -t file.zst
+zstd -f -k file ; zstd -t file.zst
+zstd -f -C file ; zstd -t file.zst
+zstd -f --check file ; zstd -t file.zst
+zstd -f --no-check file ; zstd -t file.zst
+zstd -f -- file ; zstd -t file.zst
+
+# Test output file compression
+zstd -o file-out.zst ; zstd -t file-out.zst
+zstd -fo file-out.zst; zstd -t file-out.zst
+
+# Test compression to stdout
+zstd -c file | zstd -t
+zstd --stdout file | zstd -t
+println bob | zstd | zstd -t
+
+# Test keeping input file when compressing to stdout in gzip mode
+if $(command -v $ZSTD_SYMLINK_DIR/gzip); then
+ $ZSTD_SYMLINK_DIR/gzip -c file | zstd -t ; test -f file
+ $ZSTD_SYMLINK_DIR/gzip --stdout file | zstd -t ; test -f file
+fi
+
+# Test --rm
+cp file file-rm
+zstd --rm file-rm; zstd -t file-rm.zst
+test ! -f file-rm
diff --git a/3rdparty/zstd/tests/cli-tests/compression/compress-literals.sh b/3rdparty/zstd/tests/cli-tests/compression/compress-literals.sh
new file mode 100755
index 00000000000..573481a3f5b
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/compress-literals.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+# Test --[no-]compress-literals
+zstd file --no-compress-literals -1 -c | zstd -t
+zstd file --no-compress-literals -19 -c | zstd -t
+zstd file --no-compress-literals --fast=1 -c | zstd -t
+zstd file --compress-literals -1 -c | zstd -t
+zstd file --compress-literals --fast=1 -c | zstd -t
diff --git a/3rdparty/zstd/tests/cli-tests/compression/format.sh b/3rdparty/zstd/tests/cli-tests/compression/format.sh
new file mode 100755
index 00000000000..192fa2cf29f
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/format.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+. "$COMMON/format.sh"
+
+set -e
+
+# Test --format
+zstd --format=zstd file -f
+zstd -t file.zst
+for format in "gzip" "lz4" "xz" "lzma"; do
+ if zstd_supports_format $format; then
+ zstd --format=$format file
+ zstd -t file.$(format_extension $format)
+ zstd -c --format=$format file | zstd -t --format=$format
+ fi
+done
diff --git a/3rdparty/zstd/tests/cli-tests/compression/golden.sh b/3rdparty/zstd/tests/cli-tests/compression/golden.sh
new file mode 100755
index 00000000000..458be9d4aac
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/golden.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+GOLDEN_DIR="$ZSTD_REPO_DIR/tests/golden-compression/"
+cp -r "$GOLDEN_DIR" golden/
+
+zstd -rf golden/ --output-dir-mirror golden-compressed/
+zstd -r -t golden-compressed/
+
+zstd --target-compressed-block-size=1024 -rf golden/ --output-dir-mirror golden-compressed/
+zstd -r -t golden-compressed/
+
+# PR #3517 block splitter corruption test
+zstd -rf -19 --zstd=mml=7 golden/ --output-dir-mirror golden-compressed/
+zstd -r -t golden-compressed/ \ No newline at end of file
diff --git a/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh b/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh
new file mode 100755
index 00000000000..b628b35a0c7
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+# Uncomment the set -v line for debugging
+# set -v
+
+# Test gzip specific compression option
+if $(command -v $ZSTD_SYMLINK_DIR/gzip); then
+ $ZSTD_SYMLINK_DIR/gzip --fast file ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip --best file ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+
+ # Test -n / --no-name: do not embed original filename in archive
+ $ZSTD_SYMLINK_DIR/gzip -n file ; grep -qv file file.gz ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip --no-name file ; grep -qv file file.gz ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip -c --no-name file | grep -qv file
+fi
diff --git a/3rdparty/zstd/tests/cli-tests/compression/levels.sh b/3rdparty/zstd/tests/cli-tests/compression/levels.sh
new file mode 100755
index 00000000000..cc2700a3097
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/levels.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+set -e
+set -v
+
+datagen > file
+
+# Compress with various levels and ensure that their sizes are ordered
+zstd --fast=10 file -o file-f10.zst -q
+zstd --fast=1 file -o file-f1.zst -q
+zstd -1 file -o file-1.zst -q
+zstd -19 file -o file-19.zst -q
+
+zstd -t file-f10.zst file-f1.zst file-1.zst file-19.zst
+
+cmp_size -lt file-19.zst file-1.zst
+cmp_size -lt file-1.zst file-f1.zst
+cmp_size -lt file-f1.zst file-f10.zst
+
+# Test default levels
+zstd --fast file -f -q
+cmp file.zst file-f1.zst || die "--fast is not level -1"
+
+zstd -0 file -o file-0.zst -q
+zstd -f file -q
+cmp file.zst file-0.zst || die "Level 0 is not the default level"
+
+# Test level clamping
+zstd -99 file -o file-99.zst -q
+cmp file-19.zst file-99.zst || die "Level 99 is clamped to 19"
+zstd --fast=200000 file -c | zstd -t
+
+zstd -5000000000 -f file && die "Level too large, must fail" ||:
+zstd --fast=5000000000 -f file && die "Level too large, must fail" ||:
+
+# Test setting a level through the environment variable
+ZSTD_CLEVEL=-10 zstd file -o file-f10-env.zst -q
+ZSTD_CLEVEL=1 zstd file -o file-1-env.zst -q
+ZSTD_CLEVEL=+19 zstd file -o file-19-env.zst -q
+ZSTD_CLEVEL=+99 zstd file -o file-99-env.zst -q
+
+cmp file-f10.zst file-f10-env.zst || die "Environment variable failed to set level"
+cmp file-1.zst file-1-env.zst || die "Environment variable failed to set level"
+cmp file-19.zst file-19-env.zst || die "Environment variable failed to set level"
+cmp file-99.zst file-99-env.zst || die "Environment variable failed to set level"
+
+# Test invalid environment clevel is the default level
+zstd -f file -q
+ZSTD_CLEVEL=- zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=+ zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=-a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=+a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=3a7 zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+ZSTD_CLEVEL=5000000000 zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+
+# Test environment clevel is overridden by command line
+ZSTD_CLEVEL=10 zstd -f file -1 -o file-1-env.zst -q
+ZSTD_CLEVEL=10 zstd -f file --fast=1 -o file-f1-env.zst -q
+
+cmp file-1.zst file-1-env.zst || die "Environment variable not overridden"
+cmp file-f1.zst file-f1-env.zst || die "Environment variable not overridden"
diff --git a/3rdparty/zstd/tests/cli-tests/compression/levels.sh.stderr.exact b/3rdparty/zstd/tests/cli-tests/compression/levels.sh.stderr.exact
new file mode 100644
index 00000000000..c8fb79c6896
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/levels.sh.stderr.exact
@@ -0,0 +1,69 @@
+
+datagen > file
+
+# Compress with various levels and ensure that their sizes are ordered
+zstd --fast=10 file -o file-f10.zst -q
+zstd --fast=1 file -o file-f1.zst -q
+zstd -1 file -o file-1.zst -q
+zstd -19 file -o file-19.zst -q
+
+zstd -t file-f10.zst file-f1.zst file-1.zst file-19.zst
+4 files decompressed : 262148 bytes total
+
+cmp_size -lt file-19.zst file-1.zst
+cmp_size -lt file-1.zst file-f1.zst
+cmp_size -lt file-f1.zst file-f10.zst
+
+# Test default levels
+zstd --fast file -f -q
+cmp file.zst file-f1.zst || die "--fast is not level -1"
+
+zstd -0 file -o file-0.zst -q
+zstd -f file -q
+cmp file.zst file-0.zst || die "Level 0 is not the default level"
+
+# Test level clamping
+zstd -99 file -o file-99.zst -q
+cmp file-19.zst file-99.zst || die "Level 99 is clamped to 19"
+zstd --fast=200000 file -c | zstd -t
+/*stdin*\ : 65537 bytes
+
+zstd -5000000000 -f file && die "Level too large, must fail" ||:
+error: numeric value overflows 32-bit unsigned int
+zstd --fast=5000000000 -f file && die "Level too large, must fail" ||:
+error: numeric value overflows 32-bit unsigned int
+
+# Test setting a level through the environment variable
+ZSTD_CLEVEL=-10 zstd file -o file-f10-env.zst -q
+ZSTD_CLEVEL=1 zstd file -o file-1-env.zst -q
+ZSTD_CLEVEL=+19 zstd file -o file-19-env.zst -q
+ZSTD_CLEVEL=+99 zstd file -o file-99-env.zst -q
+
+cmp file-f10.zst file-f10-env.zst || die "Environment variable failed to set level"
+cmp file-1.zst file-1-env.zst || die "Environment variable failed to set level"
+cmp file-19.zst file-19-env.zst || die "Environment variable failed to set level"
+cmp file-99.zst file-99-env.zst || die "Environment variable failed to set level"
+
+# Test invalid environment clevel is the default level
+zstd -f file -q
+ZSTD_CLEVEL=- zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=-: not a valid integer value
+ZSTD_CLEVEL=+ zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=+: not a valid integer value
+ZSTD_CLEVEL=a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=a: not a valid integer value
+ZSTD_CLEVEL=-a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=-a: not a valid integer value
+ZSTD_CLEVEL=+a zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=+a: not a valid integer value
+ZSTD_CLEVEL=3a7 zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=3a7: not a valid integer value
+ZSTD_CLEVEL=5000000000 zstd -f file -o file-env.zst -q ; cmp file.zst file-env.zst
+Ignore environment variable setting ZSTD_CLEVEL=5000000000: numeric value too large
+
+# Test environment clevel is overridden by command line
+ZSTD_CLEVEL=10 zstd -f file -1 -o file-1-env.zst -q
+ZSTD_CLEVEL=10 zstd -f file --fast=1 -o file-f1-env.zst -q
+
+cmp file-1.zst file-1-env.zst || die "Environment variable not overridden"
+cmp file-f1.zst file-f1-env.zst || die "Environment variable not overridden"
diff --git a/3rdparty/zstd/tests/cli-tests/compression/long-distance-matcher.sh b/3rdparty/zstd/tests/cli-tests/compression/long-distance-matcher.sh
new file mode 100755
index 00000000000..8f2c61bf75c
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/long-distance-matcher.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+# Test --long
+zstd -f file --long ; zstd -t file.zst
+zstd -f file --long=20; zstd -t file.zst
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh
new file mode 100755
index 00000000000..17a5eb5186b
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+# Test multi-threaded flags
+zstd --single-thread file -f -q ; zstd -t file.zst
+zstd -T2 -f file -q ; zstd -t file.zst
+zstd --rsyncable -f file -q ; zstd -t file.zst
+zstd -T0 -f file -q ; zstd -t file.zst
+zstd -T0 --auto-threads=logical -f file -q ; zstd -t file.zst
+zstd -T0 --auto-threads=physical -f file -q ; zstd -t file.zst
+
+# multi-thread decompression warning test
+zstd -T0 -f file -q ; zstd -t file.zst; zstd -T0 -d file.zst -o file3
+zstd -T0 -f file -q ; zstd -t file.zst; zstd -T2 -d file.zst -o file4
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh.stderr.exact b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh.stderr.exact
new file mode 100644
index 00000000000..11daff6ba63
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh.stderr.exact
@@ -0,0 +1,11 @@
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+file.zst : 65537 bytes
+Warning : decompression does not support multi-threading
+file.zst : 65537 bytes
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
new file mode 100755
index 00000000000..aeb74cf25eb
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+
+# setup
+echo "file1" > file1
+echo "file2" > file2
+
+echo "Test zstd ./file1 - file2"
+rm -f ./file*.zst
+echo "stdin" | zstd ./file1 - ./file2 | zstd -d
+cat file1.zst | zstd -d
+cat file2.zst | zstd -d
+
+echo "Test zstd -d ./file1.zst - file2.zst"
+rm ./file1 ./file2
+echo "stdin" | zstd - | zstd -d ./file1.zst - file2.zst
+cat file1
+cat file2
+
+echo "zstd -d ./file1.zst - file2.zst -c"
+echo "stdin" | zstd | zstd -d ./file1.zst - file2.zst -c
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh.stdout.exact b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh.stdout.exact
new file mode 100644
index 00000000000..aad61d6359a
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh.stdout.exact
@@ -0,0 +1,12 @@
+Test zstd ./file1 - file2
+stdin
+file1
+file2
+Test zstd -d ./file1.zst - file2.zst
+stdin
+file1
+file2
+zstd -d ./file1.zst - file2.zst -c
+file1
+stdin
+file2
diff --git a/3rdparty/zstd/tests/cli-tests/compression/row-match-finder.sh b/3rdparty/zstd/tests/cli-tests/compression/row-match-finder.sh
new file mode 100755
index 00000000000..5b36017a0ca
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/row-match-finder.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+# Test --[no-]row-match-finder
+zstd file -7f --row-match-finder
+zstd file -7f --no-row-match-finder
diff --git a/3rdparty/zstd/tests/cli-tests/compression/setup b/3rdparty/zstd/tests/cli-tests/compression/setup
new file mode 100755
index 00000000000..96e2309b6a1
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/setup
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+datagen > file
+datagen > file0
+datagen > file1
diff --git a/3rdparty/zstd/tests/cli-tests/compression/stream-size.sh b/3rdparty/zstd/tests/cli-tests/compression/stream-size.sh
new file mode 100755
index 00000000000..7344769a253
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/stream-size.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+# Test stream size & hint
+datagen -g7654 | zstd --stream-size=7654 | zstd -t
+datagen -g7654 | zstd --size-hint=7000 | zstd -t
diff --git a/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh
new file mode 100755
index 00000000000..88ee11ac84d
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+. "$COMMON/platform.sh"
+
+zstd < file -vv -19 -o file.19.zst
+zstd -vv -l file.19.zst
+
+zstd < file -vv -19 --long -o file.19.long.zst
+zstd -vv -l file.19.long.zst
diff --git a/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stderr.glob b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stderr.glob
new file mode 100644
index 00000000000..13534718980
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stderr.glob
@@ -0,0 +1,5 @@
+...
+*wlog=23*
+...
+*wlog=27*
+...
diff --git a/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stdout.glob b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stdout.glob
new file mode 100644
index 00000000000..19913a1679c
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/verbose-wlog.sh.stdout.glob
@@ -0,0 +1,5 @@
+...
+*Window Size: 8388608 B*
+...
+*Window Size: 134217728 B*
+...
diff --git a/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh
new file mode 100755
index 00000000000..e4fe811ce78
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+datagen -g1G > file
+zstd --long=30 -1 --single-thread --no-content-size -f file
+zstd -l -v file.zst
+
+# We want to ignore stderr (its outputting "*** zstd command line interface
+# 64-bits v1.5.3, by Yann Collet ***")
+
+rm file file.zst
diff --git a/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stderr.ignore b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stderr.ignore
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stderr.ignore
diff --git a/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stdout.glob b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stdout.glob
new file mode 100644
index 00000000000..313d216e1e7
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/window-resize.sh.stdout.glob
@@ -0,0 +1,3 @@
+...
+Window Size: 1.000 GiB (1073741824 B)
+...